<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cadastro</title>
    <script src="vue.global.js"></script>
    <link rel="stylesheet" href="stylecadastro.css"/>
</head>
<body>
    <div id="app">
        <h1>Cadastro de Novo Usuário</h1>
        <form>
            <label for="newUsername">Nome de usuário:</label>
            <input type="text" v-model="newUsername" required>

            <label for="newPassword">Senha:</label>
            <input type="password" v-model="newPassword" required>

            <label for="confirmPassword">Confirma Senha:</label>
            <input type="password" v-model="confirmPassword" required>

            <button type="submit" @click.prevent="adicionarUsuario">Cadastrar</button>

        </form><!--Fechamento form-->

        <p>Usuário: {{usuario}}</p>
        <!-- <p>Senha: {{senha}}</p>--> 
  
        <p class="erro" :class="{entrada: mostrarEntrada}">{{erro}}</p>
        <p class="sucesso" :class="{entrada: mostrarEntrada}">{{sucesso}}</p>

        <!-- Processo de listagem dos usuários e senhas cadastradosmnos vetores -->
        <div>
            <div class="listar">
            <button @click="listarUsuario">
                {{mostrarLista ? "Ocultar Lista" : "Mostrar Lista"}}
            </button>
             </div>
            <!--Lista dos usuários cadastrados-->
            <ol v-if="mostrarLista">
                <li v-for="(usuario, index) in usuarios">
                    Usuário: {{usuario}}, senha: {{senhas[index]}}
                    <button class="botao" @click=" excluirusuario(usuario)">Excluir</button
            
                </li><!--Fechamento linha-->
            </ol>
        </div><!--Fechamento da div-->

    </div><!--Fechamento div app-->
    <script src="processAtual.js"></script>
    
</body>
</html>